at.chipkarte.client.abs.soap

## Class AnfrageEntscheid

- Object
- - at.chipkarte.client.abs.soap.AnfrageEntscheid

-     public class AnfrageEntscheid
      extends Object

  Enthält die Rückantwortdaten zu einer Verordnung im Rahmen einer `BewilligungsAnfrage`.

  Die Werte der Felder, die mit dem Präfix "beantragt" beginnen (z.B. beantragtesMedikament) können unter Umständen von den entsprechenden Daten in der Anfrage abweichen, falls diese durch den chefärztlichen Dienst korrigiert wurden (z.B. Ergänzung des korrekten Medikamentennamens zur Pharmanummer).

  Die Werte der Felder, die mit dem Präfix "bewilligt" beginnen (z.B. bewilligtesMedikament) können von den "beantragten" Werten abweichen, falls sich der bewilligte Wert vom beantragten Wert unterscheidet.

  Optionale Felder dürfen den Wert `null` oder, im Fall von Strings, einen Leerstring zurückliefern. Pflichtfelder dürfen weder `null` noch einen Leerstring zurückliefern. Felder, die nicht explizit als optional gekennzeichnet sind, sind Pflichtfelder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnfrageEntscheid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBeantragtePackungsanzahl()` Beantragte Packungsanzahl (Abgabemenge) des zu verschreibenden Medikaments beziehungsweise der Magistralen Zubereitung.
    `Medikament` | `getBeantragtesMedikament()` Das beantragte Medikamtent (siehe `Medikament`).
    `Integer` | `getBewilligtePackungsanzahl()` Bewilligte Packungsanzahl (Abgabemenge) des zu verschreibenden Medikaments beziehungsweise der Magistralen Zubereitung.
    `Medikament` | `getBewilligtesMedikament()` Das bewilligte Medikamtent (siehe `Medikament`).
    `String` | `getInfoText()` Informationstext des chefärztlichen Dienstes bezüglich dieser Verordnung.
    `LangzeitVerordnung` | `getLangzeitVerordnung()` Die Rückantwortdaten zur Langzeitverordnung.
    `String` | `getMagistraleZubereitung()` Die beantragte und bewilligte Magistrale Zubereitung.
    `String` | `getVerordnungsEntscheidung()` Die Entscheidung des chefärztlichen Dienstes zu der beantragten Verordnung.
    `void` | `setBeantragtePackungsanzahl(Integer beantragtePackungsanzahl)`
    `void` | `setBeantragtesMedikament(Medikament beantragtesMedikament)`
    `void` | `setBewilligtePackungsanzahl(Integer bewilligtePackungsanzahl)`
    `void` | `setBewilligtesMedikament(Medikament bewilligtesMedikament)`
    `void` | `setInfoText(String infoText)`
    `void` | `setLangzeitVerordnung(LangzeitVerordnung langzeitVerordnung)`
    `void` | `setMagistraleZubereitung(String magistraleZubereitung)`
    `void` | `setVerordnungsEntscheidung(String verordnungsEntscheidung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnfrageEntscheid

          public AnfrageEntscheid()

  - ### Method Detail

    - #### getVerordnungsEntscheidung

          public String getVerordnungsEntscheidung()

      Die Entscheidung des chefärztlichen Dienstes zu der beantragten Verordnung. Die möglichen Werte sind in `VerordnungsEntscheidung` definiert.
      Format: maximal 25-stellig
      Angabe: Muss
      Returns:
        Entscheidung zur Verordnung.

    - #### getBeantragtesMedikament

          public Medikament getBeantragtesMedikament()

      Das beantragte Medikamtent (siehe `Medikament`).
      Angabe: Bedingt
      Returns:
        Beantragtes Medikament

    - #### getBewilligtesMedikament

          public Medikament getBewilligtesMedikament()

      Das bewilligte Medikamtent (siehe `Medikament`).
      Angabe: Kann
      Returns:
        Bewilligtes Medikament

    - #### getMagistraleZubereitung

          public String getMagistraleZubereitung()

      Die beantragte und bewilligte Magistrale Zubereitung.
      Eine Magistrale Zubereitung kann durch den chefärztlichen Dienst gegenüber dem ursprünglichen Wert in der Anfrage verändert worden sein, falls z.B. ein Tippfehler korrigiert wurde. Eine Unterscheidung zwischen beantragter und bewilligter Magistraler Zubereitung entfällt jedoch, da immer nur die beantragte Magistrale Zubereitung bewilligt oder abgelehnt wird.
      Angabe: Bedingt
      Format: maximal 1000-stellig
      Returns:
        Magistrale Zubereitung

    - #### getBeantragtePackungsanzahl

          public Integer getBeantragtePackungsanzahl()

      Beantragte Packungsanzahl (Abgabemenge) des zu verschreibenden Medikaments beziehungsweise der Magistralen Zubereitung.
      Format: Integer (numerisch)
      Angabe: Kann
      Returns:
        Beantragte Packungsanzahl

    - #### getBewilligtePackungsanzahl

          public Integer getBewilligtePackungsanzahl()

      Bewilligte Packungsanzahl (Abgabemenge) des zu verschreibenden Medikaments beziehungsweise der Magistralen Zubereitung.
      Format: Integer (numerisch)
      Angabe: Kann
      Returns:
        Bewilligte Packungsanzahl

    - #### getLangzeitVerordnung

          public LangzeitVerordnung getLangzeitVerordnung()

      Die Rückantwortdaten zur Langzeitverordnung.
      Angabe: Kann
      Returns:
        Objekt vom Typ Langzeitverordnung - Rückantwortdaten zur Langzeitverordnung

    - #### getInfoText

          public String getInfoText()

      Informationstext des chefärztlichen Dienstes bezüglich dieser Verordnung. Z.B. Begründung der Ablehnung.
      Angabe: Kann
      Format: maximal 800-stellig
      Returns:
        Informationstext des chefärztlichen Dienstes

    - #### setBeantragtePackungsanzahl

          public void setBeantragtePackungsanzahl(Integer beantragtePackungsanzahl)

    - #### setBeantragtesMedikament

          public void setBeantragtesMedikament(Medikament beantragtesMedikament)

    - #### setBewilligtePackungsanzahl

          public void setBewilligtePackungsanzahl(Integer bewilligtePackungsanzahl)

    - #### setBewilligtesMedikament

          public void setBewilligtesMedikament(Medikament bewilligtesMedikament)

    - #### setLangzeitVerordnung

          public void setLangzeitVerordnung(LangzeitVerordnung langzeitVerordnung)

    - #### setMagistraleZubereitung

          public void setMagistraleZubereitung(String magistraleZubereitung)

    - #### setVerordnungsEntscheidung

          public void setVerordnungsEntscheidung(String verordnungsEntscheidung)

    - #### setInfoText

          public void setInfoText(String infoText)